[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# TClipboard.SetTextBuf

Loads the clipboard buffer using the text in the specified PChar value.

## Declaration

Source position: clipbrd.pp line 225

`public procedure TClipboard.SetTextBuf(`
`Buffer: PChar`
`);`

## Arguments

`Buffer` |  | PChar value loaded into the clipboard.

## Description

SetTextBuf is a method used to load the text specified in Buffer into the clipboard. Buffer is a PChar type, and when not assigned (Nil), is set to #0 in the method. Its value is loaded in the TClipboardData instances used for the text clipboard format.

## See also

SetTextBuf